cryptonite-0.10: Cryptography Primitives sink

License | BSD-style
Maintainer | Vincent Hanquez <vincent@snarc.org>
Stability | experimental
Portability | Good
Safe Haskell | None
Language | Haskell2010

Crypto.PubKey.RSA.Prim

Contents

- decrypt primitive
- encrypt primitive

Description

Synopsis

- dp :: ByteArray ba => Maybe Blinder -> PrivateKey -> ba -> ba
- ep :: ByteArray ba => PublicKey -> ba -> ba

# decrypt primitive

dp :: ByteArray ba => Maybe Blinder -> PrivateKey -> ba -> ba Source

Compute the RSA decrypt primitive. if the p and q numbers are available, then dpFast is used otherwise, we use dpSlow which only need d and n.

# encrypt primitive

ep :: ByteArray ba => PublicKey -> ba -> ba Source

Compute the RSA encrypt primitive